<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>jetset.template_model Module &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">jetset.template_model Module</a><ul>
<li><a class="reference internal" href="#module-model-template">Module: model_template</a><ul>
<li><a class="reference internal" href="#overview">Overview</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
<li><a class="reference internal" href="#summary">Summary</a></li>
</ul>
</li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/template_model.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">jetset.template_model Module</a><ul>
<li><a class="reference internal" href="#module-model-template">Module: model_template</a><ul>
<li><a class="reference internal" href="#overview">Overview</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
<li><a class="reference internal" href="#summary">Summary</a></li>
</ul>
</li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="module-jetset.template_model">
<span id="jetset-template-model-module"></span><h1>jetset.template_model Module<a class="headerlink" href="#module-jetset.template_model" title="Permalink to this headline">¶</a></h1>
<div class="section" id="module-model-template">
<h2>Module: model_template<a class="headerlink" href="#module-model-template" title="Permalink to this headline">¶</a></h2>
<div class="section" id="overview">
<h3>Overview<a class="headerlink" href="#overview" title="Permalink to this headline">¶</a></h3>
<p>This module  provides an interface handle the template model</p>
</div>
<div class="section" id="classes-relations">
<h3>Classes relations<a class="headerlink" href="#classes-relations" title="Permalink to this headline">¶</a></h3>
<div class="figure align-center">
<img alt="../_images/classes_template_model.png" src="../_images/classes_template_model.png" />
</div>
</div>
<div class="section" id="classes-and-inheritance-structure">
<h3>Classes and Inheritance Structure<a class="headerlink" href="#classes-and-inheritance-structure" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="module-api">
<h3>Module API<a class="headerlink" href="#module-api" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="summary">
<h3>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h3>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.template_model.Template.html#jetset.template_model.Template" title="jetset.template_model.Template"><code class="xref py py-obj docutils literal"><span class="pre">Template</span></code></a>(template_type[,&nbsp;z,&nbsp;nu_size])</td>
<td>Class to handle spectral templates</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.template_model.TemplateParameter.html#jetset.template_model.TemplateParameter" title="jetset.template_model.TemplateParameter"><code class="xref py py-obj docutils literal"><span class="pre">TemplateParameter</span></code></a>(template,&nbsp;**keywords)</td>
<td>This class is a subclass of the <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> class, extending the base class to Template parameters.</td>
</tr>
</tbody>
</table>
<p>Module API</p>
</div>
</div>
<div class="section" id="classes">
<h2>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.template_model.Template.html#jetset.template_model.Template" title="jetset.template_model.Template"><code class="xref py py-obj docutils literal"><span class="pre">Template</span></code></a>(template_type[,&nbsp;z,&nbsp;nu_size])</td>
<td>Class to handle spectral templates</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.template_model.TemplateParameter.html#jetset.template_model.TemplateParameter" title="jetset.template_model.TemplateParameter"><code class="xref py py-obj docutils literal"><span class="pre">TemplateParameter</span></code></a>(template,&nbsp;**keywords)</td>
<td>This class is a subclass of the <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> class, extending the base class to Template parameters.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="class-inheritance-diagram">
<h2>Class Inheritance Diagram<a class="headerlink" href="#class-inheritance-diagram" title="Permalink to this headline">¶</a></h2>
<img src="../_images/inheritance-0099fcb6ebe4ad35e5a5eaca172ba26346ece9be.png" alt="Inheritance diagram of jetset.template_model.Template, jetset.template_model.TemplateParameter" usemap="#inheritance5be15aae6b" class="inheritance"/>
<map id="inheritance5be15aae6b" name="inheritance5be15aae6b">
<area shape="rect" id="node1" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" target="_top" title="This class is the base class for models parameters. The following keywords " alt="" coords="5,54,125,79"/>
<area shape="rect" id="node3" href="jetset.template_model.TemplateParameter.html#jetset.template_model.TemplateParameter" target="_top" title="This class is a subclass of the :class:`.ModelParameter` class," alt="" coords="174,54,314,79"/>
<area shape="rect" id="node2" href="jetset.template_model.Template.html#jetset.template_model.Template" target="_top" title="Class to handle spectral templates" alt="" coords="27,5,104,30"/>
</map>
</div>
</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>